﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Web.Profile;
using System.Collections.Generic;
/// <summary>
/// Summary description for UserProfile
/// </summary>

namespace SMSProfile
{
    [Serializable()]
    public class UserProfile : System.Web.Profile.ProfileBase
    {

        public UserProfile()
        {
            //
            // TODO: Add constructor logic here
            //
        }
        public static UserProfile GetUserProfile(string username)
        {
            return Create(username) as UserProfile;
        }

        public virtual string UserId
        {
            get
            {
                return ((string)(this.GetPropertyValue("UserId")));
            }
            set
            {
                this.SetPropertyValue("UserId", value);
            }
        }
        public virtual string FirstName
        {
            get
            {
                return ((string)(this.GetPropertyValue("FirstName")));
            }
            set
            {
                this.SetPropertyValue("FirstName", value);
            }
        }
        public virtual string LastName
        {
            get
            {
                return ((string)(this.GetPropertyValue("LastName")));
            }
            set
            {
                this.SetPropertyValue("LastName", value);
            }
        }
        public virtual string UserType
        {
            get
            {
                return ((string)(this.GetPropertyValue("UserType")));
            }
            set
            {
                this.SetPropertyValue("UserType", value);
            }
        }
        public virtual string SchoolID
        {
            get
            {
                return ((string)(this.GetPropertyValue("SchoolID")));
            }
            set
            {
                this.SetPropertyValue("SchoolID", value);
            }
        }
    }
}