﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="sidebar.ascx.cs" Inherits="admin_controls_sidebar" %>
<div id="sidebar">
            <div class="side-col ui-sortable">
                <div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all">
                    <div class="portlet-header ui-widget-header">
                        <span class="ui-icon ui-icon-circle-arrow-s"></span>Theme Switcher</div>
                    <div class="portlet-content">
                        <ul class="side-menu">
                            <li><a title="Default Theme" style="font-weight: bold;" href="javascript:void(0);"
                                id="default" class="set_theme">Default Theme</a> </li>
                            <li><a title="Light Blue Theme" href="javascript:void(0);" id="light_blue" class="set_theme">
                                Light Blue Theme</a> </li>
                        </ul>
                    </div>
                </div>
                <div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all">
                    <div class="portlet-header ui-widget-header">
                        <span class="ui-icon ui-icon-circle-arrow-s"></span>Layout Options</div>
                    <div class="portlet-content">
                        <ul class="side-menu">
                            <li>Here, you can set the page width, either fixed or fluid. You decide!<br>
                                <br>
                            </li>
                            <li id="fluid_layout"><a title="Fluid Layout" href="javascript:void(0);">Switch to <b>
                                Fluid Layout</b></a> </li>
                            <li id="fixed_layout"><a title="Fixed Layout" href="javascript:void(0);">Switch to <b>
                                Fixed Layout</b></a> </li>
                        </ul>
                    </div>
                </div>
                <div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all">
                    <div class="portlet-header ui-widget-header">
                        <span class="ui-icon ui-icon-circle-arrow-s"></span>Navigation Menu</div>
                    <div class="portlet-content">
                        <div id="accordion" class="ui-accordion ui-widget ui-helper-reset" role="tablist">
                            <div>
                                <h3 class="ui-accordion-header ui-helper-reset ui-state-active ui-corner-top" role="tab"
                                    aria-expanded="true" tabindex="0">
                                    <span class="ui-icon ui-icon-triangle-1-s"></span><a href="#" tabindex="-1">Dashboard</a></h3>
                                <div class="ui-accordion-content ui-helper-reset ui-widget-content ui-corner-bottom ui-accordion-content-active"
                                    style="height: 95px;" role="tabpanel">
                                    <ul class="side-menu">
                                        <li><a title="Administration" href="index.php">Administration</a></li>
                                        <li><a title="Forms" href="forms.php">Forms Example</a></li>
                                        <li><a title="Tables" href="tables.php">Tables example</a></li>
                                    </ul>
                                </div>
                            </div>
                            <div>
                                <h3 class="ui-accordion-header ui-helper-reset ui-state-default ui-corner-all" role="tab"
                                    aria-expanded="false" tabindex="-1">
                                    <span class="ui-icon ui-icon-triangle-1-e"></span><a href="#" tabindex="-1">Dummy drop
                                        down</a></h3>
                                <div class="ui-accordion-content ui-helper-reset ui-widget-content ui-corner-bottom"
                                    style="height: 95px; display: none;" role="tabpanel">
                                    <ul class="side-menu">
                                        <li><a title="Administration" href="index.php">Administration</a></li>
                                        <li><a title="Forms" href="forms.php">Forms Example</a></li>
                                        <li><a title="Tables" href="tables.php">Tables example</a></li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="other-box yellow-box ui-corner-all">
                    <div class="cont tooltip ui-corner-all">
                        <h3>
                            Tooltip !</h3>
                        <p>
                            This is a sample tooltip !</p>
                    </div>
                </div>
                <div class="portlet ui-widget ui-widget-content ui-helper-clearfix ui-corner-all">
                    <div class="portlet-header ui-widget-header">
                        <span class="ui-icon ui-icon-circle-arrow-s"></span>Accordion</div>
                    <div class="portlet-content">
                        <div id="datepicker" class="hasDatepicker">
                            <div class="ui-datepicker-inline ui-datepicker ui-widget ui-widget-content ui-helper-clearfix ui-corner-all">
                                <div class="ui-datepicker-header ui-widget-header ui-helper-clearfix ui-corner-all">
                                    <a title="Prev" onclick="DP_jQuery.datepicker._adjustDate('#datepicker', -1, 'M');"
                                        class="ui-datepicker-prev ui-corner-all"><span class="ui-icon ui-icon-circle-triangle-w">
                                            Prev</span></a><a title="Next" onclick="DP_jQuery.datepicker._adjustDate('#datepicker', +1, 'M');"
                                                class="ui-datepicker-next ui-corner-all"><span class="ui-icon ui-icon-circle-triangle-e">Next</span></a><div
                                                    class="ui-datepicker-title">
                                                    <span class="ui-datepicker-month">July</span> <span class="ui-datepicker-year">2012</span></div>
                                </div>
                                <table class="ui-datepicker-calendar">
                                    <thead>
                                        <tr>
                                            <th class="ui-datepicker-week-end">
                                                <span title="Sunday">Su</span>
                                            </th>
                                            <th>
                                                <span title="Monday">Mo</span>
                                            </th>
                                            <th>
                                                <span title="Tuesday">Tu</span>
                                            </th>
                                            <th>
                                                <span title="Wednesday">We</span>
                                            </th>
                                            <th>
                                                <span title="Thursday">Th</span>
                                            </th>
                                            <th>
                                                <span title="Friday">Fr</span>
                                            </th>
                                            <th class="ui-datepicker-week-end">
                                                <span title="Saturday">Sa</span>
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ui-datepicker-week-end ">
                                                <a href="#" class="ui-state-default">1</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">2</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">3</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">4</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">5</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">6</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ui-datepicker-week-end ">
                                                <a href="#" class="ui-state-default">7</a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ui-datepicker-week-end ">
                                                <a href="#" class="ui-state-default">8</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">9</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">10</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">11</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">12</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">13</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ui-datepicker-week-end ">
                                                <a href="#" class="ui-state-default">14</a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ui-datepicker-week-end ">
                                                <a href="#" class="ui-state-default">15</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">16</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">17</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">18</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">19</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">20</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ui-datepicker-week-end ">
                                                <a href="#" class="ui-state-default">21</a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ui-datepicker-week-end ">
                                                <a href="#" class="ui-state-default">22</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">23</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ui-datepicker-days-cell-over  ui-datepicker-current-day ui-datepicker-today">
                                                <a href="#" class="ui-state-default ui-state-highlight ui-state-active ui-state-hover">
                                                    24</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">25</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">26</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">27</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ui-datepicker-week-end ">
                                                <a href="#" class="ui-state-default">28</a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ui-datepicker-week-end ">
                                                <a href="#" class="ui-state-default">29</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">30</a>
                                            </td>
                                            <td onclick="DP_jQuery.datepicker._selectDay('#datepicker',6,2012, this);return false;"
                                                class=" ">
                                                <a href="#" class="ui-state-default">31</a>
                                            </td>
                                            <td class=" ui-datepicker-other-month ui-datepicker-unselectable ui-state-disabled">
                                                &nbsp;
                                            </td>
                                            <td class=" ui-datepicker-other-month ui-datepicker-unselectable ui-state-disabled">
                                                &nbsp;
                                            </td>
                                            <td class=" ui-datepicker-other-month ui-datepicker-unselectable ui-state-disabled">
                                                &nbsp;
                                            </td>
                                            <td class=" ui-datepicker-week-end ui-datepicker-other-month ui-datepicker-unselectable ui-state-disabled">
                                                &nbsp;
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clearfix">
            </div>
        </div>